Subject: Re: [PATCH net-next 0/5] net: Extend address label support

From: Jakub Kicinski <[email-masked]>
Date: Fri, 10 Mar 2023 17:12:57 -0800

On Fri, 10 Mar 2023 12:44:53 +0100 Petr Machata wrote:
> IPv4 addresses can be tagged with label strings. Unlike IPv6 addrlabels,
> which are used for prioritization of IPv6 addresses, these "ip address
> labels" are simply tags that the userspace can assign to IP addresses
> arbitrarily.
> 
> IPv4 has had support for these tags since before Linux was tracked in GIT.
> However it has never been possible to change the label after it is once
> defined. This limits usefulness of this feature. A userspace that wants to
> change a label might drop and recreate the address, but that disrupts
> routing and is just impractical.
> 
> IPv6 addresses lack support for address labels (in the sense of address
> tags) altogether.
> 
> In this patchset, extend IPv4 to allow changing the label defined at an
> address (in patch #1). Then, in patches #2 and #3, extend IPv6 with a suite
> of address label operations fully analogous with those defined for IPv4.
> Then in patches #4 and #5 add selftest coverage for the feature.

Feels a bit like we're missing motivation for this change.
I thought address labels were legacy cruft.
Also the usual concern about allowing to change things is that some
user space will assume it's immutable. The label could until this 
set be used as part of a stable key, right?